Bug 224139 - Need to update CDNJS snapshot of JavaScript libraries to the latest version
Need to update CDNJS snapshot of JavaScript libraries to the latest version
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Project
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Tomas Mysik
issues@web
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 16:32 UTC by Petr Jiricka
Modified: 2013-01-30 00:04 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2012-12-21 16:32:50 UTC
Reported by JB: "... crossroads.js was strangely missing from our list of available javascript libraries in Easel.  I contacted the lead developer and he has now added it to CDNjs for us.

Can we do an update to the CDN indexes so that it will start showing up in the latest builds please."
Comment 1 Tomas Mysik 2013-01-02 05:38:26 UTC
Davide, could you please do it since I have no idea what needs to be done? Or better - tell me and assign back to me, I will do it.

Thanks a lot.
Comment 2 Tomas Mysik 2013-01-02 06:46:46 UTC
BTW I would likely expect that these JS libraries will be always up to date (or that user will be able to update them manually directly from the IDE, using some UPDATE button) - am I wrong?

Thanks.
Comment 3 Petr Jiricka 2013-01-02 09:16:20 UTC
David is on vacation for the next few weeks, so he will not be responding. Tomas, can you try to debug how it works?

> BTW I would likely expect that these JS libraries will be always up to date

I agree - something to implement for the next release. Right now we have a hardcoded list I am afraid.
Comment 4 Tomas Mysik 2013-01-02 09:22:03 UTC
Taking over.
Comment 5 Tomas Mysik 2013-01-02 13:19:39 UTC
Fixed.

http://hg.netbeans.org/web-main/rev/3060f0ae9a58
Comment 6 Quality Engineering 2013-01-03 02:40:38 UTC
Integrated into 'main-golden', will be available in build *201301030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3060f0ae9a58
User: Tomas Mysik <tmysik@netbeans.org>
Log: #224139 - Need to update CDNJS snapshot of JavaScript libraries to the latest version
Comment 7 Vladimir Riha 2013-01-15 13:12:22 UTC
veirified, crossroads.js in version 0.11.0min is available



Product Version: NetBeans IDE 7.3 RC1 (Build 201301142100)
Java: 1.7.0_10; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-b18
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)
Comment 8 Petr Jiricka 2013-01-24 12:45:06 UTC
Tomas, could you please update the snapshot once again? jQuery 1.9 was released recently and it's missing in our current snapshot. Thanks a lot - reopening.
Comment 9 Tomas Mysik 2013-01-25 06:05:14 UTC
Fixed, please verify. Thanks.

http://hg.netbeans.org/web-main/rev/fb5c4bedbbbf
Comment 10 Vladimir Riha 2013-01-25 08:12:01 UTC
Verified in trunk, jQuery 1.9.0 min is among offered libraries

Product Version: NetBeans IDE Dev (Build web-main-9749-on-20130125)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)
Comment 11 Ondrej Brejla 2013-01-25 08:38:21 UTC
Ok for me.
Comment 12 Tomas Mysik 2013-01-25 14:48:33 UTC
Backported to release73 branch in releases repo.

http://hg.netbeans.org/releases/rev/e5be229a3359
Comment 13 Quality Engineering 2013-01-26 00:53:47 UTC
Integrated into 'releases', will be available in build *201301252200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/e5be229a3359
User: Tomas Mysik <tmysik@netbeans.org>
Log: #224139 - Need to update CDNJS snapshot of JavaScript libraries to the latest version
(transplanted from fb5c4bedbbbf087c5e0fc581f164a4be38c8a295)
Comment 14 Quality Engineering 2013-01-26 03:04:13 UTC
Integrated into 'main-golden', will be available in build *201301260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fb5c4bedbbbf
User: Tomas Mysik <tmysik@netbeans.org>
Log: #224139 - Need to update CDNJS snapshot of JavaScript libraries to the latest version
Comment 15 Vladimir Riha 2013-01-28 07:34:28 UTC
verified

Product Version: NetBeans IDE 7.3 RC1 (Build 201301272200)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)
Comment 16 David Konecny 2013-01-30 00:04:10 UTC
I filed issue 225499 to let user refresh the snapshots automatically.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo